summary refs log tree commit diff stats
path: root/bin
diff options
context:
space:
mode:
authorArne Döring <arne.doering@gmx.net>2019-02-12 22:00:31 +0100
committerAndreas Rumpf <rumpf_a@web.de>2019-02-12 22:00:31 +0100
commit6870345cd2af461d49159ad453c5f6437752d096 (patch)
tree457fd3338c49f6e62320b84e1c7c4551bbf04ebd /bin
parentbdc150adffccd339dd80e837d5d527206f651e88 (diff)
downloadNim-6870345cd2af461d49159ad453c5f6437752d096.tar.gz
32 bit fixes (#10608)
Diffstat (limited to 'bin')
-rwxr-xr-xbin/nim-gdb3
1 files changed, 3 insertions, 0 deletions
diff --git a/bin/nim-gdb b/bin/nim-gdb
index e7b41094d..9d6f462bb 100755
--- a/bin/nim-gdb
+++ b/bin/nim-gdb
@@ -3,6 +3,9 @@
 # Exit if anything fails
 set -e
 
+which nim > /dev/null || (echo "nim not in PATH"; exit 1)
+which gdb > /dev/null || (echo "gdb not in PATH"; exit 1)
+
 # Find out where the pretty printer Python module is
 NIM_SYSROOT=$(dirname $(dirname $(readlink -e $(which nim))))
 GDB_PYTHON_MODULE_PATH="$NIM_SYSROOT/tools/nim-gdb.py"